



auth_param basic children 5
auth_param basic realm Squid proxy-caching web server
auth_param basic credentialsttl 2 hours
auth_param basic casesensitive off







acl all src 0.0.0.0/0.0.0.0
acl manager proto cache_object
acl localhost src 127.0.0.1/255.255.255.255
acl to_localhost dst 127.0.0.0/8
acl SSL_ports port 443
acl Safe_ports port 80		# http
acl Safe_ports port 21		# ftp
acl Safe_ports port 443		# https
acl Safe_ports port 70		# gopher
acl Safe_ports port 210		# wais
acl Safe_ports port 1025-65535	# unregistered ports
acl Safe_ports port 280		# http-mgmt
acl Safe_ports port 488		# gss-http
acl Safe_ports port 591		# filemaker
acl Safe_ports port 777		# multiling http
acl CONNECT method CONNECT
acl BadSites url_regex -i "/etc/blacklisted_sites.txt"
acl GoodSites url_regex -i "/etc/sites.txt"
acl lpo_BadSites url_regex -i "/etc/lpo_blacklisted_sites.txt"
acl home_network src 192.168.10.10-192.168.10.120
acl lpo_network src 192.168.10.60-192.168.10.72
http_access deny lpo_BadSites lpo_network
http_access deny lpo_network
http_access allow GoodSites
http_access deny BadSites
http_access allow home_network

http_access allow manager localhost
http_access deny manager
http_access deny !Safe_ports
http_access deny CONNECT !SSL_ports


http_access deny all


http_reply_access allow all
icp_access allow all















http_port 192.168.10.1:3128 transparent























hierarchy_stoplist cgi-bin ?

acl QUERY urlpath_regex cgi-bin \?
cache deny QUERY



cache_mem 16 MB














access_log /usr/local/squid/var/logs/access.log squid


cache_log /usr/local/squid/var/logs/cache.log
cache_store_log /usr/local/squid/var/logs/store.log




mime_table /usr/local/squid/etc/mime.conf



pid_filename /usr/local/squid/var/logs/squid.pid


































refresh_pattern ^ftp:		1440	20%	10080
refresh_pattern ^gopher:	1440	0%	1440
refresh_pattern .		0	20%	4320















acl apache rep_header Server ^Apache
broken_vary_encoding allow apache




























cache_effective_user squid
cache_effective_user squid










































































icon_directory /usr/local/squid/share/icons





error_directory /usr/local/squid/share/errors/English





















hosts_file /etc/hosts
dns_testnames google.com

















coredump_dir /usr/local/squid/var/cache








